"use strict";

var form = document.getElementById("form");
var urlEl = document.getElementById("url");
var titleEl = document.getElementById("title");

form.addEventListener("submit", function(ev){
	var url = urlEl.value, title = titleEl.value, tmp = {};
	tmp[title.toLowerCase()] = url;
	ev.preventDefault();
	
	if(title.toLowerCase() == "websites"){
		alert("Please choose a different title.");
		titleEl.focus();
		return;
	}
	
	chrome.storage.local.get(null, function(result){
		var arr = result.websites || [];
		for(let i = 0; i < arr.length; i++){
			var obj = arr[i];
			for(let x in obj){
				if(x == title.toLowerCase() || obj[x] == url){
					alert("Title/Url is already being monitored.");
					return;
				}
			}
		}
		
		arr.push(tmp);
		chrome.storage.local.set({websites: arr}, function(){
			alert("Successfully added " + title + " to the list.");
		});
	});
	urlEl.value = "";
	titleEl.value = "";
});